ChargebeeAPI
Using AI coding agents like Claude Code or Cursor? Try the official Chargebee Agent Skills to speed up your development.Try now

Record an offline refund

Idempotency Supported
Try in API Explorer

Records a refund made offline. Applicable only for transactions of type = payment.

Sample Request

URL Format

POST https://[site].chargebee.com/api/v2/transactions/{transaction-id}/record_refund

Input Parameters

amount
optional, in cents, min=1

The amount to be recorded as refunded. Must not exceed amount_unused. If not passed then all of amount_unused is recorded as refunded.

payment_method
required, enumerated string

The payment method used to make the refund.

Possible Enum Values
cash

Cash

check

Check

chargeback

Only applicable for a transaction of type = refund. This value is set by Chargebee when an automated chargeback occurs. You can also set this explicitly when recording a refund .

bank_transfer

Bank Transfer

other

Payment Methods other than the above types

custom

Custom

date
required, timestamp(UTC) in seconds

The date when the refund was made.

reference_number
optional, string, max chars=100

The reference number for this transaction. For example, the check number when payment_method = check .

custom_payment_method_id
optional, string, max chars=50

Identifier of the custom payment method of this transaction.

comment
optional, string, max chars=300

Remarks, if any, on the refund.

Returns

transactionTransaction object
Resource object representing transaction